Subject: [Idr] RtgDir Review: draft-ietf-idr-error-handling-16.txt

From: Mach Chen <[email-masked]>
Date: Fri, 12 Dec 2014 07:51:04 +0000

Hello, 

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir 

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft. 

Document: draft-ietf-idr-error-handling-16.txt 
Reviewer: Mach Chen 
Review Date: Nov. 12, 2014 
Intended Status: Standards Track

Summary: 
 This document is well written and easy to understand. I found some nits and one minor issue that I think should be resolved before publication.

Comments: 
 None.

Major Issues: 
 No major issues found. 

Minor Issues: 
 Section 7.3
 "The attribute is considered malformed if its length is not 4 [RFC4271]."

 If only according to RFC4271, this is the case, but seems that RFC5549 allows that the length of Nexthop attribute can be either 4 or 16.

Nits: 
 Section 2.
 s/to handling/to handle

 in the last bullet of the 4 approaches.
 s/must not/MUST NOT

Best regards,
Mach

---

From: "Susan Hares" <[email-masked]>
Date: Fri, 12 Dec 2014 08:34:18 -0500

Mach:

Thank you for the routing directorate report.  Thank you for the catch on the RFC2119 language. 

Sue 

-----Original Message-----
From: Idr [mailto:[email-masked]] On Behalf Of Mach Chen
Sent: Friday, December 12, 2014 2:51 AM
To: [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Idr] RtgDir Review: draft-ietf-idr-error-handling-16.txt

Hello, 

Summary: 

Comments: 
 None.

Major Issues: 
 No major issues found. 

Minor Issues: 
 Section 7.3

Nits: 
 Section 2.
 s/to handling/to handle

Best regards,
Mach

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: "John G. Scudder" <[email-masked]>
Date: Fri, 12 Dec 2014 09:37:46 -0500

Hi Mach,

Thanks for your review and comments. I will make the changes and issue a new version. Good catch on the RFC 5549 issue.

Regards,

--John

---

From: "John G. Scudder" <[email-masked]>
Date: Fri, 12 Dec 2014 13:55:49 -0500

Chris Hall kindly pointed out to me that RFC 5549 only relates to the MP-BGP encoding and NOT the legacy NEXT_HOP attribute, and thus my last change was in error. I've reverted that change and will post it as -18. (The two editorial changes are still there.) Section 7.11 did already capture the "4 or 16" point for MP_REACH_NLRI, so no change needed there.

Thanks, Chris!

--John

---

From: Mach Chen <[email-masked]>
Date: Mon, 15 Dec 2014 01:42:16 +0000

Hi John,

Thanks for the explanation, it addressed my comments.

Best regards,
Mach

> From: rtg-dir [mailto:[email-masked]] On Behalf Of John G. Scudder
> Sent: Saturday, December 13, 2014 2:56 AM
> To: Mach Chen
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]
> Subject: Re: [RTG-DIR] [Idr] RtgDir Review: draft-ietf-idr-error-handling-16.txt
> 
> Chris Hall kindly pointed out to me that RFC 5549 only relates to the MP-BGP
> encoding and NOT the legacy NEXT_HOP attribute, and thus my last change was
> in error. I've reverted that change and will post it as -18. (The two editorial
> changes are still there.) Section 7.11 did already capture the "4 or 16" point for
> MP_REACH_NLRI, so no change needed there.
> 
> Thanks, Chris!
> 
> --John
> 
> > Thanks for your review and comments. I will make the changes and issue a new
> version. Good catch on the RFC 5549 issue.
> >
> > Regards,
> >
> > --John
> >
> >> I have been selected as the Routing Directorate reviewer for this draft. The
> Routing Directorate seeks to review all routing or routing-related drafts as they
> pass through IETF last call and IESG review. The purpose of the review is to
> provide assistance to the Routing ADs. For more information about the Routing
> Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir
> >>
> >> Although these comments are primarily for the use of the Routing ADs, it
> would be helpful if you could consider them along with any other IETF Last Call
> comments that you receive, and strive to resolve them through discussion or by
> updating the draft.
> >>
> >> This document is well written and easy to understand. I found some nits and
> one minor issue that I think should be resolved before publication.
> >>
> >> Comments:
> >> None.
> >>
> >> Major Issues:
> >> No major issues found.
> >>
> >> Minor Issues:
> >> Section 7.3
> >> If only according to RFC4271, this is the case, but seems that RFC5549 allows
> that the length of Nexthop attribute can be either 4 or 16.
> >>
> >> Nits:
> >> Section 2.
> >> s/to handling/to handle
> >>